### Method

# FwupdPlugin Device convert_version

since: 2.0.18

#### Declaration [src]

    gchar*
    fu_device_convert_version (
      FuDevice* self,
      guint64 version_raw,
      GError** error
    )

#### Description [src]

Converts the integer version to a string version, using the device-specific converter.

Available since: 2.0.18

#### Parameters

`version_raw`

  Type: `guint64`

  An integer.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A string value, or `NULL` for error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.